Loading...
Searching...
No Matches
Opm::WellProdIndexCalculator< Scalar > Class Template Reference

Collect per-connection static information to enable calculating connection-level or well-level productivity index values when incorporating dynamic phase mobilities. More...

`#include <WellProdIndexCalculator.hpp>`

## Public Member Functions

| WellProdIndexCalculator (const Well &well)
| Constructor.
void | reInit (const Well &well)
| Reinitialization operation.
Scalar | connectionProdIndStandard (const std::size_t connIdx, const Scalar connMobility) const
| Compute connection-level steady-state productivity index value using dynamic phase mobility.
std::size_t | numConnections () const
| Number of connections in this well.

## Detailed Description

template<class Scalar>
class Opm::WellProdIndexCalculator< Scalar >

Collect per-connection static information to enable calculating connection-level or well-level productivity index values when incorporating dynamic phase mobilities.

## Constructor & Destructor Documentation

## WellProdIndexCalculator()

template<class Scalar>

Opm::WellProdIndexCalculator< Scalar >::WellProdIndexCalculator | ( | const Well & | well | ) |

explicit

Constructor.

Parameters

  [in] | well | Individual well for which to collect per-connection static data.

## Member Function Documentation

## connectionProdIndStandard()

template<class Scalar>

Scalar Opm::WellProdIndexCalculator< Scalar >::connectionProdIndStandard | ( | const std::size_t | connIdx,
|  | const Scalar | connMobility ) const

Compute connection-level steady-state productivity index value using dynamic phase mobility.

Parameters

  [in] | connIdx | Linear connection index. Must be in the range 0..numConnections() - 1.
  [in] | connMobility | Phase mobility at connection `connIdx`. Typically derived from dynamic flow state conditions in cell intersected by well's connection `connIdx`.

Returns
  Connection-level steady-state productivity index.

## numConnections()

template<class Scalar>

std::size_t Opm::WellProdIndexCalculator< Scalar >::numConnections | ( |  | ) | const

inline

Number of connections in this well.

Used primarily for consistency checks.

## reInit()

template<class Scalar>

void Opm::WellProdIndexCalculator< Scalar >::reInit | ( | const Well & | well | ) |

Reinitialization operation.

Needed to repopulate the internal data members in case of changes to the Well's properties, e.g., as a result of the Well's CTFs being rescaled due to WELPI.

Parameters

  [in] | well | Individual well for which to collect per-connection static data.

The documentation for this class was generated from the following files:

- opm/simulators/wells/WellProdIndexCalculator.hpp
- opm/simulators/wells/WellProdIndexCalculator.cpp